﻿using Prism.Events;
using Prism.Mvvm;
using Prism.Regions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using Toolkit.Event;
using Toolkit.Log4;
using Toolkit.Tcp;

namespace Toolkit.ViewMode
{
    public class TcpTriggerViewMode:ToolBase.ToolBase
    {

        private string data = "0";
        private string res = "0";

        public string Data { get => data; set { SetProperty(ref data, value); } }
        public TCPServer server = new TCPServer();
        public string Res
        {
            get => res;
            set
            {
                SetProperty(ref res, value);
               
            }
        }

        

        public TcpTriggerViewMode(IEventAggregator eventAggregator, IRegionManager regionManager) 
        {
            server.Start();
            TCPServer.eventAggregator = eventAggregator;
            eventAggregator.GetEvent<TcpServerMsg>().Subscribe(TcpServerUse);
            LogHelper.Info("订阅服务器消息");

        }

        public void TcpServerUse(string Msg) 
        {
            BackgroundColor = Brushes.White;
            this.Data = Msg;
            if (Msg != null && Msg.Length > 1)
            {
                LogHelper.Info("收到订阅消息："+ Msg);
                SendStrs.Add(Msg);
                this.Tres = Msg;
                LogHelper.Info(Msg);
                this.Res = "OK";
                BackgroundColor = Brushes.Green;
            }
            else
            {
                LogHelper.Info("收到订阅消息：错误" );
                BackgroundColor = Brushes.Red;
            }
        
        }


        public void TcpServerStop() 
        {
        server?.Stop();
        }
        
    }
}
